PROCEDURE DisplayBoard (TicTacToe : BoardArray) IS
-- Pre : Array TicTacToe is defined.
-- Post: Displays all elements of array TicTacToe.
 
BEGIN -- DisplayBoard 

  Ada.Text_IO.Put(Item => "-------");
  Ada.Text_IO.New_Line;
  FOR Row IN MoveRange LOOP
    -- Display all columns of current row  
    FOR Column IN MoveRange LOOP
      Ada.Text_IO.Put(Item => "|");
      Game_IO.Put(Item => TicTacToe (Row,Column));
    END LOOP;
    Ada.Text_IO.Put(Item => "|");
    Ada.Text_IO.New_Line;
    Ada.Text_IO.Put(Item => "-------");
    Ada.Text_IO.New_Line;
  END LOOP;

END DisplayBoard;

