WITH Spider;
PROCEDURE Draw_Box IS
----------------------------------------------------------------
--| Draw 4 x 4 box with spider, changing colors as we go
--| Author: M. B. Feldman, The George Washington University
--| Last Modified: July 1998
----------------------------------------------------------------

BEGIN -- Draw_Box

  Spider.Start;
  Spider.Face(WhichWay => Spider.West);

  Spider.ChangeColor(NewColor => Spider.Green);
  Spider.Step;
  Spider.Step;
  Spider.Step;
  Spider.TurnRight;

  Spider.ChangeColor(NewColor => Spider.Black);
  Spider.Step;
  Spider.Step;
  Spider.Step;
  Spider.TurnRight;

  Spider.ChangeColor(NewColor => Spider.Red);
  Spider.Step;
  Spider.Step;
  Spider.Step;
  Spider.TurnRight;

  Spider.ChangeColor(NewColor => Spider.Blue);
  Spider.Step;
  Spider.Step;
  Spider.Step;
  Spider.TurnRight;

  Spider.Quit;

END Draw_Box;

