WITH Spider;
PROCEDURE Draw_Box_with_1_Loop_2 IS
----------------------------------------------------------------
--| Draw 4 x 4 box with spider - use loop
--| Colors and starting direction are selected randomly
--| Author: M. B. Feldman, The George Washington University 
--| Last Modified: July 1998
----------------------------------------------------------------

BEGIN -- Draw_Box_with_1_Loop_2

  Spider.Start;
  Spider.Face(WhichWay => Spider.RandomDirection);

  FOR Side IN 1..4 LOOP
    Spider.ChangeColor(NewColor => Spider.RandomColor);
    Spider.Step;
    Spider.Step;
    Spider.Step;
    Spider.TurnRight;
  END LOOP;

  Spider.Quit;

END Draw_Box_with_1_Loop_2;
