WITH Spider;
PROCEDURE Go_to_Wall IS
----------------------------------------------------------------
--| Spider steps up to the first wall it meets, then stops
--| Author: M. B. Feldman, The George Washington University 
--| Last Modified: July 1998
----------------------------------------------------------------

BEGIN -- Go_to_Wall

  Spider.Start;
  Spider.ChangeColor(NewColor => Spider.Blue);

  FOR Count IN 1..12 LOOP
    IF Spider.AtWall THEN
      EXIT;
    END IF;
    Spider.Step;
  END LOOP;

  Spider.Quit;

END Go_to_Wall;
