WITH Ada.Text_IO;
WITH Ada.Integer_Text_IO;
PROCEDURE Distance IS
------------------------------------------------------------------------
--| Finds distance traveled, given travel time and average speed  
--| Author: Michael B. Feldman, The George Washington University 
--| Last Modified: June 1998 
------------------------------------------------------------------------
  HowLong : Natural;
  HowFast : Natural;
  HowFar  : Natural;
 
BEGIN -- Distance

  -- prompt user for hours and average speed
  Ada.Text_IO.Put 
    (Item => "How many hours will you be driving (integer) ? ");
  Ada.Integer_Text_IO.Get (Item => HowLong);
  Ada.Text_IO.Put 
    (Item=>"At what average speed (miles per hour, integer) ? ");
  Ada.Integer_Text_IO.Get (Item => HowFast);
  
  -- compute distance driven
  HowFar := HowFast * HowLong; 
   
  -- display results
  Ada.Text_IO.Put (Item => "You will travel about ");
  Ada.Integer_Text_IO.Put (Item => HowFar);
  Ada.Text_IO.Put (Item => " miles");
  Ada.Text_IO.New_Line;

END Distance;


