WITH Ada.Text_IO;
PROCEDURE Hello_Initials IS
------------------------------------------------------------
--| Requests, then displays, user's first and last initials.
--| Author: Michael Feldman, The George Washington University 
--| Last Modified: June 1998                                     
------------------------------------------------------------
   
  Initial1 : Character;  -- objects that hold initials
  Initial2 : Character;
   
BEGIN -- Hello_Initials
   
  -- Prompt for (request user to enter) user's initials
  Ada.Text_IO.Put(Item => "Enter your two initials> ");
  Ada.Text_IO.Get(Item => Initial1);  
  Ada.Text_IO.Get(Item => Initial2);
   
  -- Display user's initials, with a greeting
  Ada.Text_IO.Put(Item => "Hello ");
  Ada.Text_IO.Put(Item => Initial1);  
  Ada.Text_IO.Put(Item => Initial2);
  Ada.Text_IO.Put(Item => ". Enjoy studying Ada!");
  Ada.Text_IO.New_Line;
   
END Hello_Initials;


