WITH Spider;
PROCEDURE Spiral IS
----------------------------------------------------------------
--| Draw spiral pattern with spider - use nested loops
--| Author: M. B. Feldman, The George Washington University
--| Last Modified: July 1998
----------------------------------------------------------------
BEGIN -- Spiral

  Spider.Start;
  Spider.Face(WhichWay => Spider.RandomDirection);

  -- draw ten lines, starting in a random direction
  FOR Line IN 1..10 LOOP
    Spider.ChangeColor(NewColor => Spider.RandomColor);

    -- inner loop takes its bound from outer count
    FOR Count IN 1..Line LOOP
      Spider.Step;
    END LOOP;

    Spider.TurnRight;
  END LOOP;

  Spider.Quit;
END Spiral;

