WITH Ada.Text_IO;
WITH Employees;
WITH Employees.IO;
WITH Database;
PROCEDURE Test_Database IS
------------------------------------------------------------------
--| Simple Test of Employee Database
--| Author: Michael B. Feldman, The George Washington University 
--| Last Modified: September 1998
------------------------------------------------------------------

  E: Employees.Employee;
  Success: Boolean;

BEGIN -- Test_Database

  Database.Initialize;
  
  FOR Count IN 1..3 LOOP

    Employees.IO.ReadEmployee(Item => E);
    Database.Insert(E => E, Success => Success);
    Ada.Text_IO.Put(Item => "--------------------");
    Ada.Text_IO.New_Line;
    Database.Display;
    Ada.Text_IO.Put(Item => "--------------------");
    Ada.Text_IO.New_Line;

  END LOOP;

END Test_Database;
